%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	Time-managing application for Xfce desktop environment
Name:		orage
Version:	4.10.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/apps/orage/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	chrpath
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxfce4panel-1.0) >= 4.6.0
BuildRequires:	pkgconfig(libical) >= 0.43
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.34
BuildRequires:	pkgconfig(libnotify) >= 0.3.2
BuildRequires:	pkgconfig(popt)

%description
Orage is a time-managing application for the Xfce desktop environment,
featuring:

- Time-based events
- Data stored in ical format.
- Recurring appointments
- Reminder up to 2 days before the event starts
- Possibility to choose your alarm sound
- Repeating the alarm sound until you close the reminder window
- Possibility to duplicate an appointment
- Archiving system for keeping your history in different files for
  avoiding overloads in the main working file.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--enable-reentrant \
	--enable-dbus \
	--enable-archive \
	--enable-libnotify \
	--enable-libxfce4panel

%make

%install
%makeinstall_std

#disable rpath in _bin
chrpath -d %{buildroot}/%{_bindir}/*

rm -rf %{buildroot}%{_datadir}/orage/doc

%find_lang %{name}

desktop-file-install \
	--add-only-show-in="XFCE" \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*

%files -f %{name}.lang
%doc README AUTHORS
%doc doc/C/images/*.png doc/C/orage.html
%{_bindir}/*
%{_libexecdir}/xfce4/panel-plugins/xfce4-orageclock-plugin
%{_datadir}/applications/*.desktop
%{_datadir}/xfce4/panel-plugins/xfce4-orageclock-plugin.desktop
%{_iconsdir}/hicolor/*/apps/%{name}*
%{_iconsdir}/hicolor/*/apps/xfcalendar*
%{_datadir}/%{name}/
%{_datadir}/dbus-1/services/org.xfce.*.service
%{_mandir}/man1/*.1*


%changelog
* Sun Dec 15 2013 wally <wally> 4.10.0-1.mga4
+ Revision: 556987
- fix release tag

* Sat Dec 14 2013 wally <wally> 4.10.0-0.1.mga4
+ Revision: 556759
- new version 4.10.0

* Sat Oct 19 2013 umeabot <umeabot> 4.8.4-3.mga4
+ Revision: 525743
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 4.8.4-2.mga4
+ Revision: 434369
- rebuild for new ical

* Mon Feb 04 2013 wally <wally> 4.8.4-1.mga3
+ Revision: 394597
- new version 4.8.4
- drop patches from upstream

* Sun Jan 13 2013 umeabot <umeabot> 4.8.3-5.mga3
+ Revision: 362194
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 4.8.3-4.mga3
+ Revision: 338287
- fix file list after %%_libexecdir change

* Thu May 31 2012 wally <wally> 4.8.3-3.mga3
+ Revision: 252511
- fix notifying every second on 'All day events' (xfce#8525, patch from upstream git)

* Mon May 28 2012 wally <wally> 4.8.3-2.mga3
+ Revision: 248618
- rebuild for new libxfce4util
- clean .spec

* Thu Jan 05 2012 wally <wally> 4.8.3-1.mga2
+ Revision: 191591
- new version 4.8.3
- clean BRs
- drop ancient provides/obsoletes
- clean .spec a bit

* Tue Jan 03 2012 wally <wally> 4.8.1-2.mga2
+ Revision: 190051
- rebuild for new xfce4-panel

* Mon Jun 13 2011 ahmad <ahmad> 4.8.1-1.mga2
+ Revision: 105536
- Update to 4.8.1
- Add BR libpopt-devel and libdbus-glib-devel

* Sun Feb 20 2011 dmorgan <dmorgan> 4.8.0-1.mga1
+ Revision: 54523
- imported package orage


* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.8.0-1mdv2011.0
+ Revision: 632807
- update to new version 4.8.0
- update url for Source0
- fix file list

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-3mdv2010.1
+ Revision: 543278
- rebuild for mdv 2010.1

* Tue Oct 06 2009 Thierry Vignaud <tv@mandriva.org> 4.6.1-2mdv2010.0
+ Revision: 454739
- do not package huge ChangeLog

* Tue Apr 21 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-1mdv2010.0
+ Revision: 368583
- update to new version 4.6.1

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-2mdv2009.1
+ Revision: 349165
- rebuild whole xfce

* Fri Feb 27 2009 Jérôme Soyer <saispo@mandriva.org> 4.6.0-1mdv2009.1
+ Revision: 345711
- New upstream release

* Tue Jan 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.99.1-1mdv2009.1
+ Revision: 334000
- update to new version 4.5.99.1

* Thu Jan 15 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.93-1mdv2009.1
+ Revision: 330025
- disable Werror
- update to new version 4.5.93

* Sat Nov 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.92-1mdv2009.1
+ Revision: 303541
- add full path for the Source0
- update to new version 4.5.92 (Xfce 4.6 Beta 2 Hopper)

* Fri Oct 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.91-1mdv2009.1
+ Revision: 294525
- Xfce4.6 beta1 is landing on cooker
- fix buildrequires
- fix file list

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 4.4.2-4mdv2009.0
+ Revision: 254910
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Mar 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-2mdv2008.1
+ Revision: 188984
- rebuild
- add buildrequires on libdb4.2-devel and libical-devel
- new license policy
- do not package COPYING and INSTALL files

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 19 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.2-1mdv2008.1
+ Revision: 110174
- Move xfce-panel-devel to xfce4-panel-devel
- Fix BuildRequires with version macros and remove dbh
- New release 4.4.2
- New release 4.4.2

* Sat Aug 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-4mdv2008.0
+ Revision: 71234
- remove X-MandrivaLinux from desktop file

* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-3mdv2008.0
+ Revision: 32897
- bump release tag
- drop __libtoolize
- disable building static files rather than deleting them
- use macros in %%post and %%postun
- spec file clean

* Wed Apr 18 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-1mdv2008.0
+ Revision: 14614
- New release 4.4.1


* Tue Jan 23 2007 plouf <plouf> 4.4.0-1mdv2007.0
+ Revision: 112309
- New release 4.4.0

* Wed Dec 13 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.99.2-1mdv2007.1
+ Revision: 96160
- Add BuildRequires
- New release 4.3.99.2
- Import orage

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.2-1mdv2007.0
- 4.3.90.2 (Xfce-4.4 beta2)

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.org> 4.3.90.1-1mdk
- New release 4.3.90.1

* Thu Mar 09 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r20246.1mdk
- svn r20246
- obsolete and provide xfcalendar

* Sat Feb 11 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.2mdk
- add better description

* Sat Feb 11 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.1mdk
- 4.3.0 svn r19739
- don't run libtoolize
- update filelist

* Fri Jan 13 2006 Marcel Pol <mpol@mandriva.org> 4.2.3-1mdk
- 4.2.3
- remove more unneeded devel files

* Wed May 25 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-1mdk
- 4.2.2
- %%mkrel

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Sun Dec 26 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)

* Tue Nov 16 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1
- s/xfce/Xfce
- update filelist

* Tue Jul 13 2004 Charles A Edwards <eslrahc@mandrake.org> 0.1.9-1mdk
- 0.1.9
- reenable libtoolize

* Sun Apr 18 2004 Charles A Edwards <eslrahc@mandrake.org> 0.1.8-1mdk
- 0.1.8

* Sat Apr 10 2004 Charles A Edwards <eslrahc@mandrake.org> 0.1.6-1mdk
- 0.1.6

